import 'package:account_center/account_center.dart';

import '../company_auth/widget/common/company_define.dart';

class CompanyAuthGuideLogic extends GetxController {
  CompanyAuthFrom authFrom = CompanyAuthFrom.none;

  @override
  void onInit() {
    printInfo(info: '---------');
    authFrom = Get.arguments?['authFrom'] ?? CompanyAuthFrom.none;
    super.onInit();
  }

  /// 前往企业认证流程
  void gotoCompanyAuth() {
    Get.offNamed(RouteConfig.companyAuth, arguments: {'authFrom': authFrom});
  }
}
